/*Основное меню*/
.main-menu
{
	/*background-color:var(--primary-color);*/
	-webkit-backdrop-filter: blur(20px);
	backdrop-filter: blur(20px);
	position: fixed;
	top: 0;
	height: 100vh;
	height:100dvh;
	width: 100vw;
	border: none;
	z-index: 20;
	animation: none;
	padding: 5px;
	will-change:clip-path;
}

.main-menu.show
{
	animation: show-backdrop 0.6s normal;
}

.main-menu.hide
{
	animation: hide-backdrop 0.6s normal;
}

.burger
{
	height: 18px;
	width: 32px;
	position: relative;
	cursor: pointer;
}

.burger__bar
{
	display: block;
	position: absolute;
	margin: auto;
	left: 0;
	right: 0;
	width: 100%;
	height: 2px;
	background-color:var(--white);
	transform-origin: center center;
	transition: var(--transition);
	transition-duration: 0.2s;
}

.burger__bar-top
{
	transform: translate(0, 0);
}

.burger__bar-middle
{
	transform: translate(0, 8px) scale(1);
	opacity: 1;
}

.burger__bar-bottom
{
	transform: translate(0, 16px);
}

.menu-opened .burger__bar-top
{
	transform: rotate(45deg) translate(6px, 6px);
}

.menu-opened .burger__bar-middle
{
	transform: translate(0, 8px) scale(0);
	opacity: 0;
}

.menu-opened .burger__bar-bottom
{
	transform: rotate(-45deg) translate(-6px, 6px);
}

@media (min-width: 990px)
{
	.main-menu
	{
		padding-top:var(--header-height);
	}
	
	.menu-toggler__bar
	{
		height: 3px;
	}
	
	.menu-opened .menu-toggler__bar-top
	{
		transform: rotate(45deg) translate(20px, 20px);
	}
	
	.menu-opened .menu-toggler__bar-bottom
	{
		transform: rotate(-45deg) translate(-20px, 20px);
	}
}

/*Диалог*/
.dialog
{
	position: fixed;
	top: 0;
	width: 100vw;
	height: 100vh;
	height:100dvh;
	border: none;
	background-color: rgba(255, 255, 255, 0.8);
	backdrop-filter:blur(15px);
	-webkit-backdrop-filter: blur(15px);
	animation: none;
	z-index: 255;
	will-change:transform, opacity, backdrop-filter;
}

.dialog.show
{
	animation: show-backdrop 0.6s normal;
	display: grid;
}

.dialog.hide
{
	animation: hide-backdrop 0.6s 0.2s 4 normal;
	display: grid;
}

.show .dialog__window
{
	animation: show-dialog 0.6s normal;
}

.hide .dialog__window
{
	animation: hide-dialog 0.6s normal;
}

.dialog__window
{
	/*+border-radius:var(--corners);*/
	-moz-border-radius: var(--corners);
	-webkit-border-radius: var(--corners);
	-khtml-border-radius: var(--corners);
	border-radius:var(--corners);
	background-color: #FFFFFF;
	border: 1px solid #F1F1F1;
	padding: 20px;
}

.dialog__header
{
	display: grid;
	grid-template-columns: max-content 1fr max-content;
}

.dialog__logo-svg
{
	width: 56px;
}

.dialog__close-btn
{
	width: 38px;
	height: 38px;
	background-image: url("data:image/svg+xml,%3Csvg width='39' height='38' viewBox='0 0 39 38' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Ccircle cx='19.582' cy='19.1836' r='18.8164' fill='%23F3F3F3'/%3E%3Cline y1='-0.5' x2='13.6096' y2='-0.5' transform='matrix(-0.707107 0.707107 0.707107 0.707107 24.7734 14.373)' stroke='%238B8B8B'/%3E%3Cline x1='14.7364' y1='14.0195' x2='24.3598' y2='23.643' stroke='%238B8B8B'/%3E%3C/svg%3E%0A");;
	background-size: auto;
	background-repeat: no-repeat;
	background-position: center;
}

.dialog__nav
{
	text-transform: uppercase;
	text-align: center;
	margin-bottom:var(--vu);
}

.mobile-menu__item
{
	display: block;
	font-size: 15px;
}

.mobile-menu__item:not(:last-child)
{
	margin-bottom: 5px;
}

.dialog___black-btn
{
	margin-bottom:var(--vu);
}

.dialog___black-btn .btn
{
	width: 85%;
	height: 50px;
}

.dialog__contacts
{
	margin-bottom:var(--vu);
	color: #8F8F8F;
}

.dialog__contacts .footer__phone-text, .dialog__contacts .footer__email-text
{
	/*font-size: 25px;*/
}

.dialog__contacts .footer__icons
{
	margin-top: 30px;
}

.dialog__contacts .btn-icon
{
	width: 30px;
	height: 30px;
	background-size: 100%;
}

.dialog__contacts .btn-icon:not(:last-child)
{
	margin-right: 10px;
}

.dialog__foter
{
	width: 85%;
	margin: 0 auto;
	border-top: 1px solid #BABABA;
	padding: 20px 0;
}

.dialog__footer-title
{
	font-size: 18px;
	margin-bottom:var(--vu);
}

.dialog__foter .btn
{
	height: 50px;
	width: 85%;
}

@keyframes show-dialog
{
	from
	{
		transform: translateX(-100%);
	}
	
	to
	{
		transform: translateX(0%);
	}
}

@keyframes hide-dialog
{
	from
	{
		transform: translateX(0%);
	}
	
	to
	{
		transform: translateX(-100%);
	}
}

@keyframes show-backdrop
{
	from
	{
		opacity: 0;
	}
	
	to
	{
		opacity: 1;
	}
}

@keyframes hide-backdrop
{
	from
	{
		opacity: 1;
	}
	
	to
	{
		opacity: 0;
	}
}
